org.keycloak.models.jpa.entities

## Class AuthenticationExecutionEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.AuthenticationExecutionEntity

-     @Entity
      public class AuthenticationExecutionEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `authenticator`
    `protected String` | `authenticatorConfig`
    `protected String` | `flowId`
    `protected String` | `id`
    `protected AuthenticationFlowEntity` | `parentFlow`
    `protected int` | `priority`
    `protected RealmEntity` | `realm`
    `protected AuthenticationExecutionModel.Requirement` | `requirement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationExecutionEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAuthenticator()`
    `String` | `getAuthenticatorConfig()`
    `String` | `getFlowId()`
    `String` | `getId()`
    `AuthenticationFlowEntity` | `getParentFlow()`
    `int` | `getPriority()`
    `RealmEntity` | `getRealm()`
    `AuthenticationExecutionModel.Requirement` | `getRequirement()`
    `int` | `hashCode()`
    `boolean` | `isAutheticatorFlow()`
    `void` | `setAuthenticator(String authenticator)`
    `void` | `setAuthenticatorConfig(String authenticatorConfig)`
    `void` | `setAutheticatorFlow(boolean autheticatorFlow)`
    `void` | `setFlowId(String flowId)`
    `void` | `setId(String id)`
    `void` | `setParentFlow(AuthenticationFlowEntity flow)`
    `void` | `setPriority(int priority)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setRequirement(AuthenticationExecutionModel.Requirement requirement)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### realm

          protected RealmEntity realm

    - #### parentFlow

          protected AuthenticationFlowEntity parentFlow

    - #### authenticator

          protected String authenticator

    - #### authenticatorConfig

          protected String authenticatorConfig

    - #### flowId

          protected String flowId

    - #### requirement

          protected AuthenticationExecutionModel.Requirement requirement

    - #### priority

          protected int priority

  - ### Constructor Detail

    - #### AuthenticationExecutionEntity

          public AuthenticationExecutionEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### getAuthenticator

          public String getAuthenticator()

    - #### setAuthenticator

          public void setAuthenticator(String authenticator)

    - #### getRequirement

          public AuthenticationExecutionModel.Requirement getRequirement()

    - #### setRequirement

          public void setRequirement(AuthenticationExecutionModel.Requirement requirement)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### isAutheticatorFlow

          public boolean isAutheticatorFlow()

    - #### setAutheticatorFlow

          public void setAutheticatorFlow(boolean autheticatorFlow)

    - #### getParentFlow

          public AuthenticationFlowEntity getParentFlow()

    - #### setParentFlow

          public void setParentFlow(AuthenticationFlowEntity flow)

    - #### getFlowId

          public String getFlowId()

    - #### setFlowId

          public void setFlowId(String flowId)

    - #### getAuthenticatorConfig

          public String getAuthenticatorConfig()

    - #### setAuthenticatorConfig

          public void setAuthenticatorConfig(String authenticatorConfig)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.